/*
 * PmodTMP2.h
 *
 *  Created on: Feb 26, 2018
 *      Author: Krzysztof Chojnowski
 */

#ifndef PMODPMON1_H_
#define PMODPMON1_H_

#include <stdint.h>

/**
 * @brief Configure GPIO pins for PmodPMON1 communication.
 *        PF1  -> SCL
 *        PF0  -> SDA
 *        PF15 -> ALERT
 *        PF14 -> CONV
 *        Configure and start the continuous conversions and overcurrent detection.
 */
void PmodPMON1_Config(void);

/**
 * @brief Read the voltage [mV] and current [mA] values.
 */
void PmodPMON1_GetMeasurements(uint16_t* voltage, uint16_t* current);

/**
 * @brief Clear the overcurrent alarm status. If the alarm condition still exists (the overcurrent)
 *        The alarm will be set again by getting the interrupt.
 */
void PmodMON1_ClearAlarm(void);

#endif /* PMODPMON1_H_ */
